This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 23973

Summary: Platform registry
Product: java Reporter: Svata Dedic <sdedic>
Component: UnsupportedAssignee: Radko Najman <rnajman>
Status: CLOSED FIXED    
Severity: blocker    
Priority: P3    
Version: 3.x   
Hardware: PC   
OS: Linux   
Issue Type: ENHANCEMENT Exception Reporter:
Bug Depends on:    
Bug Blocks: 23964, 23969, 24015, 25332, 26446, 26447    

Description Svata Dedic 2002-05-24 11:16:36 UTC
Implement a registry for platforms, which will be
accessible through the API for searches and
enumerations. Information in the registry need not
to be shared, they are intrinsically tied to the
particular machine.
Comment 1 Radko Najman 2002-07-02 17:15:11 UTC
Implemented. The registry allows to define the list of tools and extra
properties for each platform.
Comment 2 Radko Najman 2002-07-02 17:16:40 UTC
x
Comment 3 Jan Becicka 2003-11-25 14:01:08 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.

Marking issue as VERIFIED --->
Comment 4 Jan Becicka 2003-11-25 14:09:45 UTC
---> CLOSED